##  for Mageia 9  ##

%define ver 00401
%define rel 1
%define fontdir /usr/share/fonts/OTF/ipaex

Name:    fonts-otf-ipaex
Version: %{ver}
Release: %{rel}.np9
Summary: IPAex Fonts
Summary(ja): IPAexフォント
Group:   System/Fonts/Open type
License: IPA Font License v1.0
URL:     https://ipafont.ipa.go.jp/
Source0: https://ipafont.ipa.go.jp/IPAexfont/IPAexfont00401.zip
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: %{name}-gothic = %{version}-%{release}
Requires: %{name}-mincho = %{version}-%{release}
Requires: %{name}-doc = %{version}-%{release}
Requires(post,postun): mkfontdir, mkfontscale
Provides: ipaexfont
Obsoletes: fonts-otf-japanese-ipaex =< 00401

%description
IPAex font is strictly following Japanese printing font tradition, namely, Japanese characters (Kanji, Kana and punctuation marks) are full width mono-space pitch, and Western characters are proportional pitch.

This package is the meta package to install IPAex fonts.

%description -l ja
IPAexフォントは「IPA明朝・IPA P明朝」および「IPAゴシック・IPA Pゴシック」をそれぞれ一つのフォントに統合したものです。
和文文字（仮名、漢字、句読点）では等幅書体を、欧文文字ではプロポーショナル書体を使用することを基本としたドキュメント用および印刷用日本語フォントです。

このパッケージは、IPAexフォントをインストールする為のメタパッケージです。
このメタパッケージで以下の2書体がインストールされます。

  - IPAex明朝フォント
  - IPAexゴシックフォント

# --------------------------------------------------------------------- #

%package gothic
Summary: IPAexGothic Font
Summary(ja): IPAexゴシックフォント
Group:   System/Fonts/Open type
Requires: %{name}-doc
Obsoletes: fonts-otf-japanese-ipaex-gothic =< 00401

%description gothic
This package includes IPAexGothic font.

%description -l ja gothic
このパッケージでは、IPAexゴシックフォント がインストールされます。

%post gothic
mkfontscale %{fontdir}
mkfontdir %{fontdir}

%postun gothic
mkfontscale %{fontdir}
mkfontdir %{fontdir}

# --------------------------------------------------------------------- #

%package mincho
Summary: IPAexMincho Font
Summary(ja): IPAex明朝フォント
Group:   System/Fonts/Open type
Requires: %{name}-doc
Obsoletes: fonts-otf-japanese-ipaex-mincho =< 00401

%description mincho
This package includes IPAexMincho font.

%description -l ja mincho
このパッケージでは、IPAex明朝フォント がインストールされます。

%post mincho
mkfontscale %{fontdir}
mkfontdir %{fontdir}

%postun mincho
mkfontscale %{fontdir}
mkfontdir %{fontdir}

# --------------------------------------------------------------------- #

%package doc
Summary: IPAex Font Documents
Summary(ja): IPAexフォント ドキュメント
Group:   System/Fonts/Open type
Obsoletes: fonts-otf-japanese-ipaex-mincho =< 00401

%description doc
This package includes important documents for IPAex fonts includes enduser license.

%description -l ja doc
このパッケージには、IPAexフォント のライセンスを含むドキュメント類が含まれています。

# --------------------------------------------------------------------- #

%prep
%setup -q -n IPAexfont%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{fontdir}
install -p -m 644 *.ttf $RPM_BUILD_ROOT%{fontdir}

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/fontpath.d/
ln -s ../../..%{fontdir} \
  $RPM_BUILD_ROOT%{_sysconfdir}/X11/fontpath.d/otf-ipaex:pri=50


%files

%files gothic
%defattr(-,root,root)
%{fontdir}/ipaexg.ttf
%{_sysconfdir}/X11/fontpath.d/otf-ipaex:pri=50

%files mincho
%defattr(-,root,root)
%{fontdir}/ipaexm.ttf
%{_sysconfdir}/X11/fontpath.d/otf-ipaex:pri=50

%files doc
%doc *.txt


%changelog
* Sun Feb 26 2023 tomcat <> 00401-1.np9
- build for Mageia 9
